Package net.sf.saxon.expr.flwor

## Class ReturnClausePush

- java.lang.Object
- - net.sf.saxon.expr.flwor.TuplePush
  - - net.sf.saxon.expr.flwor.ReturnClausePush

-     public class ReturnClausePush
      extends TuplePush

  The class represents the final stage in a push-mode tuple pipeline. The previous stages have stored the values corresponding to the current tuple in local variables on the stack; all that remains is to evaluate the return expression (with reference to these variables) and send the results to the current receiver.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReturnClausePush​(Outputter outputter, Expression returnExpr)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the tuple stream, indicating that no more tuples will be supplied
    `void` | `processTuple​(XPathContext context)` | Notify the availability of the next tuple.

    - ### Methods inherited from class net.sf.saxon.expr.flwor.TuplePush

      `getOutputter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnClausePush

          public ReturnClausePush​(Outputter outputter,
                                  Expression returnExpr)

  - ### Method Detail

    - #### processTuple

          public void processTuple​(XPathContext context)
                            throws XPathException

      Notify the availability of the next tuple. Before calling this method, the supplier of the tuples must set all the variables corresponding to the supplied tuple in the local stack frame associated with the context object
      Specified by:
        `processTuple` in class `TuplePush`
      Parameters:
        `context` - the dynamic evaluation context
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### close

          public void close()
                     throws XPathException

      Close the tuple stream, indicating that no more tuples will be supplied
      Overrides:
        `close` in class `TuplePush`
      Throws:
        `XPathException` - if a dynamic error occurs